{
    attributes = (
        {
            columnName = "DEP_ID"; 
            externalType = NUMBER; 
            name = depId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "LOLF_ID"; 
            externalType = NUMBER; 
            name = lolfid; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCED_ID"; 
            externalType = NUMBER; 
            name = pcedId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCEX_ID"; 
            externalType = NUMBER; 
            name = pcexId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (depId, lolfid, pcedId); 
    className = "org.cocktail.kaki.server.metier.EOPafCapExtDep"; 
    classProperties = (toCapExtourne, toDepense, toLolf); 
    externalName = "jefy_paf.PAF_CAP_EXT_DEP"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (toCapExtourne, toDepense, toLolf); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOPafCapExtDep"; 
    }; 
    name = PafCapExtDep; 
    primaryKeyAttributes = (pcedId); 
    relationships = (
        {
            destination = PafCapExtourne; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pcexId; sourceAttribute = pcexId; }); 
            name = toCapExtourne; 
        }, 
        {
            destination = DepenseBudget; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depId; }); 
            name = toDepense; 
        }, 
        {
            destination = "ca_LolfNomenclatureDepense"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = lolfId; sourceAttribute = lolfid; }); 
            name = toLolf; 
        }
    ); 
}
